<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="BCrypt.Net-Next" Version="4.0.3" />
      <PackageReference Include="ImageThumbnail.AspNetCore.Middleware" Version="1.0.1" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.13" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="6.0.13">
        <PrivateAssets>all</PrivateAssets>
        <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      </PackageReference>
      <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="6.0.13" />
      <PackageReference Include="Radzen.Blazor" Version="4.4.0" />
      <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Data\Migrations" />
      <Folder Include="wwwroot\img\dynamic\comment\art" />
      <Folder Include="wwwroot\img\dynamic\comment\au" />
      <Folder Include="wwwroot\img\dynamic\comment\e" />
      <Folder Include="wwwroot\img\dynamic\comment\tec" />
      <Folder Include="wwwroot\img\dynamic\comment\vg" />
      <Folder Include="wwwroot\img\dynamic\op\art" />
      <Folder Include="wwwroot\img\dynamic\op\au" />
      <Folder Include="wwwroot\img\dynamic\op\e" />
      <Folder Include="wwwroot\img\dynamic\op\tec" />
      <Folder Include="wwwroot\img\dynamic\op\vg" />
      <Folder Include="wwwroot\img\thumb" />
    </ItemGroup>

    <ItemGroup>
      <_ContentIncludedByDefault Remove="wwwroot\img\dynamic\op\m\zh5hrb0h.srp.jpg" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banned\1.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banned\10.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banned\2.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banned\3.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banned\4.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banned\5.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banned\6.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banned\7.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banned\8.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banned\9.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banner\art ban.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banner\m ban.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\banner\tec ban.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\deadlink\1.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\err\1.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\err\2.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\err\3.png" />
      <_ContentIncludedByDefault Remove="wwwroot\img\static\logo.png" />
    </ItemGroup>

</Project>
